package cn.iocoder.yudao.module.order.vo.orderOperateLog;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 订单操作日志 Response VO
* @author 郑屹
*/
@Data
@ApiModel("管理后台 - 订单操作日志 Response VO")
public class OrderOperateLogBackVO {

    @ExcelProperty("主键ID")
    @ApiModelProperty(value = "主键ID", required = true)
    private Long id;

    @ExcelProperty("订单ID")
    @ApiModelProperty(value = "订单ID", required = true)
    private Long orderId;

    @ExcelProperty("变更后订单详情数据")
    @ApiModelProperty(value = "变更后订单详情数据")
    private String body;

    @ExcelProperty("请求地址")
    @ApiModelProperty(value = "请求地址")
    private String requestUrl;

    @ExcelProperty("变更类型")
    @ApiModelProperty(value = "变更类型")
    private String type;

    @ExcelProperty("变更描述")
    @ApiModelProperty(value = "变更描述")
    private String msg;

    @ExcelProperty("备注说明")
    @ApiModelProperty(value = "备注说明")
    private String note;

    @ExcelProperty("操作人类型：1 会员 2 管理员")
    @ApiModelProperty(value = "操作人类型：1 会员 2 管理员")
    private Integer userType;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ExcelProperty("创建者")
    @ApiModelProperty(value = "创建者")
    private String creator;

    @ExcelProperty("创建者名称")
    @ApiModelProperty(value = "创建者名称")
    private String creatorName;

}
