package cn.iocoder.yudao.module.order.vo.orderWarehousePicture;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 订单仓库图片 Response VO
* @author yanghao
*/
@Data
@ApiModel("管理后台 - 订单仓库图片 Response VO")
public class OrderWarehousePictureBackVO {

    @ExcelProperty("主键ID")
    @ApiModelProperty(value = "主键ID", required = true)
    private Long id;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ExcelProperty("图片地址")
    @ApiModelProperty(value = "图片地址")
    private String url;

    @ExcelProperty("类型")
    @ApiModelProperty(value = "类型 1订单完成入仓 2 调拨出仓 3调拨到仓 4 订单转异 5订单项入仓 6报关资料")
    private Integer type;

    @ExcelProperty("业务id")
    @ApiModelProperty(value = "业务id type为1/4/6时使用orderId， type为2/3时使用adjustId  type为5时使用orderItemId")
    private Long bizId;

    @ExcelProperty("原始文件名")
    @ApiModelProperty(value = "原始文件名")
    private String originalFileName;

}
